<?php

namespace Waypoint\Agent\Setup;

use Waypoint\Agent\Base\Thing;

class Override_Admin_Email extends Thing {

	public function attach_hooks(): void {
		add_filter( 'pre_option_admin_email', [ $this, 'override_admin_email' ] );
	}

	public function override_admin_email(): string {
        return 'admin@waypoint.agency';
    }
}
